<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>goocanvasmm: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">goocanvasmm
   &#160;<span id="projectnumber">1.90.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_k.html#index_k"><span>k</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li class="current"><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="contents">
&#160;

<h3><a class="anchor" id="index_s"></a>- s -</h3><ul>
<li>scale()
: <a class="el" href="classGoocanvas_1_1Item.html#a9fd902700df497329396c6ea1c049bec">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#afcc4598215ee450fadccb8a7b08eab5b">Goocanvas::ItemModel</a>
</li>
<li>scroll_to()
: <a class="el" href="classGoocanvas_1_1Canvas.html#ae6bfb16141ce270047cff3e11fd1d7af">Goocanvas::Canvas</a>
</li>
<li>set_align()
: <a class="el" href="classGoocanvas_1_1Table.html#a09e56ce157703a5ffe59c2d624143ff1">Goocanvas::Table</a>
, <a class="el" href="classGoocanvas_1_1TableModel.html#a67cf62572ac87d8cdc3b60274481fc01">Goocanvas::TableModel</a>
</li>
<li>set_bounds()
: <a class="el" href="classGoocanvas_1_1Canvas.html#ab739e6e25495aab6cbd021a74da8bbd5">Goocanvas::Canvas</a>
, <a class="el" href="classGoocanvas_1_1ItemSimple.html#ab3f5f9823c82de4d485f3e6fecffc54e">Goocanvas::ItemSimple</a>
</li>
<li>set_canvas()
: <a class="el" href="classGoocanvas_1_1Item.html#aec50994b24e2b011c459d3c0e5495d20">Goocanvas::Item</a>
</li>
<li>set_canvas_vfunc()
: <a class="el" href="classGoocanvas_1_1Item.html#a6b97bbff2aa46625207698b529160119">Goocanvas::Item</a>
</li>
<li>set_child_property()
: <a class="el" href="classGoocanvas_1_1Item.html#addf4d3bbf309c443f0c2918fd16ed894">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#a27a2ca28b895d90154885a49b54d8cb8">Goocanvas::ItemModel</a>
</li>
<li>set_child_property_value()
: <a class="el" href="classGoocanvas_1_1Item.html#a17be5182713af95adcaa91937f89f7eb">Goocanvas::Item</a>
</li>
<li>set_child_property_vfunc()
: <a class="el" href="classGoocanvas_1_1Item.html#aa8d91d0f31ceedc555c9c7a7fd0e6c7a">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#a24457e515e5b4cf0c2e05c4abadf7e72">Goocanvas::ItemModel</a>
</li>
<li>set_coordinate()
: <a class="el" href="classGoocanvas_1_1Points.html#a302c64ebcf3bcfe0d3126850b16e88ba">Goocanvas::Points</a>
</li>
<li>set_fill_options()
: <a class="el" href="classGoocanvas_1_1Style.html#a8544c17d9dcc1320b6bcdca60f9cc5ca">Goocanvas::Style</a>
</li>
<li>set_is_static()
: <a class="el" href="classGoocanvas_1_1Item.html#a0be64765a3bda3d3a746a63e010ec36f">Goocanvas::Item</a>
</li>
<li>set_is_static_vfunc()
: <a class="el" href="classGoocanvas_1_1Item.html#ae2f676b3bfc642a17d77a9634b3d0c7c">Goocanvas::Item</a>
</li>
<li>set_model()
: <a class="el" href="classGoocanvas_1_1Item.html#adc2bd4364797a14048c8232b409af20f">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemSimple.html#ab97414190a08841aad604f85ebbb100b">Goocanvas::ItemSimple</a>
</li>
<li>set_model_vfunc()
: <a class="el" href="classGoocanvas_1_1Item.html#a392c5a4b68f6666f7ad7e03a3a4ac5f6">Goocanvas::Item</a>
</li>
<li>set_need_entire_subtree_update()
: <a class="el" href="classGoocanvas_1_1ItemSimple.html#a1f5f8fe41e3fb1c639fac249a4d8f31e">Goocanvas::ItemSimple</a>
</li>
<li>set_need_update()
: <a class="el" href="classGoocanvas_1_1ItemSimple.html#af636fc62a1ab2b92a8ffe45593f04cf4">Goocanvas::ItemSimple</a>
</li>
<li>set_parent()
: <a class="el" href="classGoocanvas_1_1Item.html#ae8d8589687d208ffa72a2e1c2de923a0">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#a99badb21d4750bc487d73ff6a4ff5c19">Goocanvas::ItemModel</a>
, <a class="el" href="classGoocanvas_1_1Style.html#aad4e8a2f543836cd41b81309fcb6fbe2">Goocanvas::Style</a>
</li>
<li>set_parent_vfunc()
: <a class="el" href="classGoocanvas_1_1Item.html#a76de7d808d553f9e6af2d6500f89907e">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#af09dccd77336857be5de7e9072362f78">Goocanvas::ItemModel</a>
</li>
<li>set_property()
: <a class="el" href="classGoocanvas_1_1Style.html#aa180fcda4ecdbad265aa0f719aaf4240">Goocanvas::Style</a>
</li>
<li>set_root_item()
: <a class="el" href="classGoocanvas_1_1Canvas.html#a93b366d088b3f3deef5f4b6c84171370">Goocanvas::Canvas</a>
</li>
<li>set_root_item_model()
: <a class="el" href="classGoocanvas_1_1Canvas.html#a35407e6c1674109c2b4b12953490051f">Goocanvas::Canvas</a>
</li>
<li>set_scale()
: <a class="el" href="classGoocanvas_1_1Canvas.html#aee1fa681ffc4e5e1319502187ff822a6">Goocanvas::Canvas</a>
</li>
<li>set_simple_transform()
: <a class="el" href="classGoocanvas_1_1Item.html#ad7ad127368aad8d8d89d41bec928ae10">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#ae1d95159755f0acbeaf7c01806c8722d">Goocanvas::ItemModel</a>
</li>
<li>set_static_root_item()
: <a class="el" href="classGoocanvas_1_1Canvas.html#a103b9f1b62da4f0abfe9aadaca89abbe">Goocanvas::Canvas</a>
</li>
<li>set_static_root_item_model()
: <a class="el" href="classGoocanvas_1_1Canvas.html#a44976192733c24325a7912349de2841c">Goocanvas::Canvas</a>
</li>
<li>set_stroke_options()
: <a class="el" href="classGoocanvas_1_1Style.html#ad4a23322578f98c31b4eb546e6484085">Goocanvas::Style</a>
</li>
<li>set_style()
: <a class="el" href="classGoocanvas_1_1Item.html#a2ddce5ea36d478fad34bbe3012c9298c">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#a6ab95ccad03eb1d942af60069cbb7ef6">Goocanvas::ItemModel</a>
</li>
<li>set_style_vfunc()
: <a class="el" href="classGoocanvas_1_1Item.html#a473f2fbffe429036821f46b511acd079">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#a1de6f8f30c246b6c0899cbee245d103c">Goocanvas::ItemModel</a>
</li>
<li>set_transform()
: <a class="el" href="classGoocanvas_1_1Item.html#afb92d19307b3c01de7f1191d8e623da9">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#ae88e434c0ef76b38c02c361fa3d34b1b">Goocanvas::ItemModel</a>
</li>
<li>set_transform_vfunc()
: <a class="el" href="classGoocanvas_1_1Item.html#a66f0c299ff8e350bec15ff033df21f62">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#a346f463a70fa65125d6e584e9a6ac21a">Goocanvas::ItemModel</a>
</li>
<li>set_x1()
: <a class="el" href="classGoocanvas_1_1Bounds.html#a340a519df226c08c4a8eb1fcd68b97ee">Goocanvas::Bounds</a>
</li>
<li>set_x2()
: <a class="el" href="classGoocanvas_1_1Bounds.html#aef89154ff3fed52da4bbbd8aa326d5a7">Goocanvas::Bounds</a>
</li>
<li>set_y1()
: <a class="el" href="classGoocanvas_1_1Bounds.html#aa49bc0720c37aca301a1ed6365e2586d">Goocanvas::Bounds</a>
</li>
<li>set_y2()
: <a class="el" href="classGoocanvas_1_1Bounds.html#a2ae956c42a8658a1de0203806895aa6a">Goocanvas::Bounds</a>
</li>
<li>signal_animation_finished()
: <a class="el" href="classGoocanvas_1_1Item.html#a860bf42dc2d970fa3f3b233b2eac628d">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#a874baca633673fd76fe7d080c6f78eab">Goocanvas::ItemModel</a>
</li>
<li>signal_button_press_event()
: <a class="el" href="classGoocanvas_1_1Item.html#aaf75b311771afbc53f76020169ba2fcf">Goocanvas::Item</a>
</li>
<li>signal_button_release_event()
: <a class="el" href="classGoocanvas_1_1Item.html#ac0cddb0292ebffe8e70b3b1afc7c26eb">Goocanvas::Item</a>
</li>
<li>signal_changed()
: <a class="el" href="classGoocanvas_1_1ItemModel.html#a053cdc700852d225ffe249e3c680bc76">Goocanvas::ItemModel</a>
</li>
<li>signal_child_added()
: <a class="el" href="classGoocanvas_1_1ItemModel.html#aabbabf653a0d47d6ca17a18f073cf676">Goocanvas::ItemModel</a>
</li>
<li>signal_child_moved()
: <a class="el" href="classGoocanvas_1_1ItemModel.html#ae1f66f63c27e5217a88f0fb24ffe0344">Goocanvas::ItemModel</a>
</li>
<li>signal_child_notify()
: <a class="el" href="classGoocanvas_1_1Item.html#a0d6fe2b29fbedf3d1297bd2f668a3740">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#a1306a4e68c40e7b1a87b42f07a5cab82">Goocanvas::ItemModel</a>
</li>
<li>signal_child_removed()
: <a class="el" href="classGoocanvas_1_1ItemModel.html#a26d96905adddc07763fb39502fa84be6">Goocanvas::ItemModel</a>
</li>
<li>signal_enter_notify_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a709f1c2fbbcbabaf0225506f6b8a3667">Goocanvas::Item</a>
</li>
<li>signal_focus_in_event()
: <a class="el" href="classGoocanvas_1_1Item.html#ad6c22b55437b9a39e930e7eaf51483a5">Goocanvas::Item</a>
</li>
<li>signal_focus_out_event()
: <a class="el" href="classGoocanvas_1_1Item.html#aab0f07f0c744ca7433dfc9f20e1f413f">Goocanvas::Item</a>
</li>
<li>signal_grab_broken_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a96377a99f548b579b91e72d768aac518">Goocanvas::Item</a>
</li>
<li>signal_item_created()
: <a class="el" href="classGoocanvas_1_1Canvas.html#abc67f2c14797780b6ea6ae08b7961d4d">Goocanvas::Canvas</a>
</li>
<li>signal_key_press_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a55f57ff8e9ee1433f5bb1c0bb737d022">Goocanvas::Item</a>
</li>
<li>signal_key_release_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a4426492630438491829f8fdf294518db">Goocanvas::Item</a>
</li>
<li>signal_leave_notify_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a549ff006f35f9713e958658acf1fc3dc">Goocanvas::Item</a>
</li>
<li>signal_motion_notify_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a5aeb749a907d3ee9e3970d5e971e4f53">Goocanvas::Item</a>
</li>
<li>signal_scroll_event()
: <a class="el" href="classGoocanvas_1_1Item.html#a8be1cc2ae0476805ea7db4acc1d56da6">Goocanvas::Item</a>
</li>
<li>simple_create_path_vfunc()
: <a class="el" href="classGoocanvas_1_1ItemSimple.html#adb1fdb79ef229640935155098a21b592">Goocanvas::ItemSimple</a>
</li>
<li>simple_is_item_at_vfunc()
: <a class="el" href="classGoocanvas_1_1ItemSimple.html#a22ca6db53b82ca00864b9fdda2e3564d">Goocanvas::ItemSimple</a>
</li>
<li>simple_paint_vfunc()
: <a class="el" href="classGoocanvas_1_1ItemSimple.html#a947c6223862acc4fa9aa5dcd0b2ab18a">Goocanvas::ItemSimple</a>
</li>
<li>simple_update_vfunc()
: <a class="el" href="classGoocanvas_1_1ItemSimple.html#a3f079e01b4e1276c95d658f9ae83a0cb">Goocanvas::ItemSimple</a>
</li>
<li>skew_x()
: <a class="el" href="classGoocanvas_1_1Item.html#a26ed05facbaf5c63ffa7bc42b4b3092b">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#a6410561092eb3775bd1a1f2494e3b1c5">Goocanvas::ItemModel</a>
</li>
<li>skew_y()
: <a class="el" href="classGoocanvas_1_1Item.html#a0888b193bf7f7857fc500f3eeb09ce73">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#ac0ee95a5fa7e96403422fb4ded3bcb85">Goocanvas::ItemModel</a>
</li>
<li>stop_animation()
: <a class="el" href="classGoocanvas_1_1Item.html#a0d4ded968b2fbae6e53b48b8b49aa9f9">Goocanvas::Item</a>
, <a class="el" href="classGoocanvas_1_1ItemModel.html#a8d9950e7ec1d358e1bf70c58192d24f3">Goocanvas::ItemModel</a>
</li>
<li>Style()
: <a class="el" href="classGoocanvas_1_1Style.html#a31f9bbd7c836b536e0e0f4f8b8476d5d">Goocanvas::Style</a>
</li>
<li>swap()
: <a class="el" href="classGoocanvas_1_1LineDash.html#a4d689c66ba24e496ff91478e676ffa23">Goocanvas::LineDash</a>
, <a class="el" href="classGoocanvas_1_1Points.html#a619eb38c7eae809f36d4581985917d4b">Goocanvas::Points</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Sep 22 2015 13:04:00 for goocanvasmm by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
